### 7.3.27 subst (plural)

`Syntax:`
  `subst (` poly_expression, ring_variable, poly_expression `)`
  `subst (` vector _expression, ring_variable, poly_expression `)`
  `subst (` ideal_expression, ring_variable, poly_expression `)`
  `subst (` module _expression, ring_variable, poly_expression `)`

`Type:`
  poly, vector, ideal or module (corresponding to the first argument)

`Purpose:`
  substitutes a ring variable by a polynomial.

`Example:`

      LIB "ncalg.lib";
      def R = makeUsl2();
      // this algebra is U(sl_2)
      setring R;
      poly C  = e*f*h;
      poly C1 = subst(C,e,h^3);
      C1;
      ==> fh4-6fh3+12fh2-8fh
      poly C2 = subst(C,f,e+f);
      C2;
      ==> e2h+efh

See also map (plural).

User manual for Singular version 4.4.1, 2025, generated by texi2html.